Bug 802035 - Review Request: librabbitmq - Client library and command line tools for AMPQ
Summary: Review Request: librabbitmq - Client library and command line tools for AMPQ
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Haïkel Guémar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 802037
TreeView+ depends on / blocked
 
Reported: 2012-03-10 12:55 UTC by Remi Collet
Modified: 2012-03-28 20:39 UTC (History)
3 users (show)

Fixed In Version: librabbitmq-0.1-0.2.hgfb6fca832fd2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-16 21:19:29 UTC
Type: ---
karlthered: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2012-03-10 12:55:50 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/librabbitmq/librabbitmq.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/librabbitmq-0.1-0.1.hgfb6fca832fd2.remi.src.rpm
Description: 
This is a C-language AMQP client library for use with AMQP servers
speaking protocol versions 0-9-1.


I use version 0.1, because of existing tag on mercurial repo.
I use the latest mercurial snapshot because the tag doesn't build.

This package is planed for fedora and EPEL (so Buildroot and others old stuff are needed)

Comment 1 Haïkel Guémar 2012-03-10 16:43:40 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST ldconfig called in %post and %postun if required.
[x]: MUST Package does not contain any libtool archives (.la)
[-]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[x]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint librabbitmq-debuginfo-0.1-0.1.hgfb6fca832fd2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint librabbitmq-0.1-0.1.hgfb6fca832fd2.fc18.src.rpm

librabbitmq.src: W: spelling-error %description -l en_US amqp -> amp
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint librabbitmq-devel-0.1-0.1.hgfb6fca832fd2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint librabbitmq-0.1-0.1.hgfb6fca832fd2.fc18.i686.rpm

librabbitmq.i686: W: spelling-error %description -l en_US amqp -> amp
librabbitmq.i686: W: incoherent-version-in-changelog 0.1-1 ['0.1-0.1.hgfb6fca832fd2.fc18', '0.1-0.1.hgfb6fca832fd2']
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/haikel/802035/fb6fca832fd2.tar.bz2 :
  MD5SUM this package     : 45c682111c87e70c3f9f5f000760ac60
  MD5SUM upstream package : 45c682111c87e70c3f9f5f000760ac60
/home/haikel/802035/6fb87d6eb01b.tar.bz2 :
  MD5SUM this package     : c96d5397911fa4029a03d8d40d90158a
  MD5SUM upstream package : c96d5397911fa4029a03d8d40d90158a

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
See: http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
[!]: MUST Rpmlint output is silent.

rpmlint librabbitmq-debuginfo-0.1-0.1.hgfb6fca832fd2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint librabbitmq-0.1-0.1.hgfb6fca832fd2.fc18.src.rpm

librabbitmq.src: W: spelling-error %description -l en_US amqp -> amp
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint librabbitmq-devel-0.1-0.1.hgfb6fca832fd2.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint librabbitmq-0.1-0.1.hgfb6fca832fd2.fc18.i686.rpm

librabbitmq.i686: W: spelling-error %description -l en_US amqp -> amp
librabbitmq.i686: W: incoherent-version-in-changelog 0.1-1 ['0.1-0.1.hgfb6fca832fd2.fc18', '0.1-0.1.hgfb6fca832fd2']
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint


Generated by fedora-review 0.1.3
External plugins:

* ignore rpmlint nagging, the usual spelling false positives
* ignore the buildroot and defattr stuff since packager intends to maintain an EPEL5 branch
* i *strongly* recommend the packager to enable tests execution, especially since it still an experimental library (no stable release yet) and it does not require the rabbitmq server to be installed. At least, tests should be enabled on Fedora repositories. Well, i don't consider this as a blocker as the test suite is still small.

Everything looks good for me, the package complies with fedora packaging guidelines so i hereby approved this package.

Comment 2 Remi Collet 2012-03-11 16:39:13 UTC
Thanks for the review.

%check added
https://github.com/remicollet/remirepo/commit/df3ed65bcd3320466b03e60c93a064559bd1c9dc


New Package SCM Request
=======================
Package Name: librabbitmq
Short Description: Client library and command line tools for AMPQ
Owners: remi
Branches: f16 f17 el5 el6
InitialCC:

Comment 3 Gwyn Ciesla 2012-03-12 12:16:09 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2012-03-12 16:07:18 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/librabbitmq-0.1-0.2.hgfb6fca832fd2.fc17

Comment 5 Fedora Update System 2012-03-12 16:07:46 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/librabbitmq-0.1-0.2.hgfb6fca832fd2.fc16

Comment 6 Fedora Update System 2012-03-12 16:08:18 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/librabbitmq-0.1-0.2.hgfb6fca832fd2.el6

Comment 7 Fedora Update System 2012-03-12 16:08:36 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/librabbitmq-0.1-0.2.hgfb6fca832fd2.el5

Comment 8 Fedora Update System 2012-03-12 19:08:32 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.fc17 has been pushed to the Fedora 17 testing repository.

Comment 9 Fedora Update System 2012-03-16 21:19:29 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 10 Fedora Update System 2012-03-24 23:21:27 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.fc16 has been pushed to the Fedora 16 stable repository.

Comment 11 Fedora Update System 2012-03-28 20:38:09 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 12 Fedora Update System 2012-03-28 20:39:20 UTC
librabbitmq-0.1-0.2.hgfb6fca832fd2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.